%define oname		gstreamermm

%define api		1.0
%define major		0
%define libname		%mklibname %oname %api %major
%define develname	%mklibname %oname %api -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gstreamermm%{api}
Version:	1.4.3
Release:	%mkrel 1
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/gstreamermm/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	gstreamer1.0-devel
BuildRequires:	gstreamer1.0-plugins-base-devel
BuildRequires:	gstreamer1.0-plugins-bad-devel
BuildRequires:	gstreamer1.0-validate-devel
BuildRequires:	gtkmm3.0-devel
BuildRequires:	doxygen
BuildRequires:	m4

%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package doc
Summary:	Developer's documentation for the gstreamermm library
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -qn %{oname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure2_5x --enable-shared \
	--disable-dependency-tracking
%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{oname}-%{api}.so.%{major}
%{_libdir}/lib%{oname}-%{api}.so.%{major}.*
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/gstreamermm-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{oname}-%{api}/

%files doc
%doc COPYING
%doc %{_datadir}/doc/%{oname}-%{api}/
%doc %{_datadir}/devhelp/books/%{oname}-%{api}/


%changelog
* Fri Nov 27 2015 gseaman <galen.seaman at comcast.net> 1.4.3-1gseaman2015
- build from Mageia spec
